Subject: bug#43385: 27.1; Regression in `find-library'

From: Drew Adams <[email-masked]>
Date: Mon, 14 Sep 2020 15:19:47 +0000 (UTC)

> > > emacs -Q
> > >
> > > M-x find-library RET mouse. TAB
> > >
> > > No match.  It should show mouse.el and mouse.elc as completions.
> >
> > No, it shouldn't -- it should complete over library names, and the
> > library name is "mouse", not "mouse.el" or "mouse.elc".
> 
> So you think this change from what Emacs 26.3 did is intentional?  Is
> there some NEWS item to describe it?  And which change modified this
> behavior?
> 
> In general, "M-x load-library RET" definitely does accept mouse.el, so
> I'm not sure the current behavior is correct, or even intentional.

To be clear, I confused things by speaking of
"loading" the library.  I myself lost track of
the fact that this bug report is instead about
`find-library'.  `load-library' does not have
the problem (regression) that `find-library'
suffers from.  I think `find-library' should
be fixed to behave as before, which is similar
to how `load-library' behaves.